Bug 857927 - (CVE-2012-4407) CVE-2012-4407 moodle: Blog file access issue (MSA-12-0053)
CVE-2012-4407 moodle: Blog file access issue (MSA-12-0053)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120917,reported=2...
: Security
Depends On: 857981
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 10:03 EDT by Jan Lieskovsky
Modified: 2013-01-21 15:56 EST (History)
1 user (show)

See Also:
Fixed In Version: moodle 2.3.2, moodle 2.2.5, moodle 2.1.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-21 15:56:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-09-17 10:03:31 EDT
A security flaw was found in the way file serving functionality of Moodle course management system enforced file access restrictions on blog post(s). A remote attacker could use this flaw to deliver files embedded as part of a blog without the publication state to be checked properly.

Upstream patch:
[1] http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-34585

References:
[2] http://www.openwall.com/lists/oss-security/2012/09/17/1
Comment 1 Jan Lieskovsky 2012-09-17 10:05:13 EDT
This issue affects the version of the moodle package, as shipped with Fedora release of 17. Please schedule an update.

--

This issue did NOT affect the versions of the moodle package, as shipped with Fedora release of 16, Fedora EPEL 6 and Fedora EPEL 5.
Comment 2 Gwyn Ciesla 2012-09-17 12:18:53 EDT
Update in progress, not linked to any BZ, none assigned to me.
Comment 3 Prasad J Pandit 2012-09-17 12:48:58 EDT
Created moodle tracking bugs for this issue

Affects: fedora-17 [bug 857981]

Note You need to log in before you can comment on or make changes to this bug.